# documentTemplateComponentUpdate

Update a document template component

**Scope required:** billing:write

For a complete list of input attributes see the [DocumentTemplateComponentAttributes](/developer/api-reference/types/documenttemplatecomponentattributes.md) type

```graphql
mutation documentTemplateComponentUpdate ($id: ID!, $attributes: DocumentTemplateComponentAttributes!) {
  documentTemplateComponentUpdate (id: $id, attributes: $attributes) {
      documentTemplateComponent {
        alignment
        background
        color
        content
        createdAt
        documentTemplateId
        font
        fontSize
        fontWeight
        height
        id
        imageScale
        imageSignedId
        imageUrl
        lineSpacing
        marginBottom
        marginLeft
        marginRight
        marginTop
        paddingBottom
        paddingLeft
        paddingRight
        paddingTop
        position
        skipPages
        twoColumns
        updatedAt
        width
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "id": "456123",
    "documentTemplateId": "456123",
    "kind": "DocumentTemplateComponentKind",
    "content": "",
    "font": "",
    "fontSize": "",
    "fontWeight": "",
    "alignment": "",
    "width": "",
    "height": "",
    "lineSpacing": "",
    "imageScale": "",
    "color": "",
    "background": "",
    "position": 123,
    "imageSignedId": "",
    "skipPages": true,
    "paddingTop": 123,
    "paddingBottom": 123,
    "paddingLeft": 123,
    "paddingRight": 123,
    "marginTop": 123,
    "marginBottom": 123,
    "marginLeft": 123,
    "marginRight": 123,
    "twoColumns": true
  }
}
```

| Name       | Type                                                                                                         | Description |
| ---------- | ------------------------------------------------------------------------------------------------------------ | ----------- |
| id         | ID                                                                                                           |             |
| attributes | [DocumentTemplateComponentAttributes](/developer/api-reference/types/documenttemplatecomponentattributes.md) |             |

## Response

| Name                      | Type                                                                                     | Description |
| ------------------------- | ---------------------------------------------------------------------------------------- | ----------- |
| documentTemplateComponent | [DocumentTemplateComponent](/developer/api-reference/types/documenttemplatecomponent.md) |             |
| errors                    | List (String)                                                                            |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/documenttemplatecomponentupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
